Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1692633 - Openshift-Ansible -"Error: 'rhel-7-server-ose-v3.11-rpms' does not match a valid repository ID.
Summary: Openshift-Ansible -"Error: 'rhel-7-server-ose-v3.11-rpms' does not match a va...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers
Version: 3.11.0
Hardware: Unspecified
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Mrunal Patel
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 05:16 UTC by Edwin Anthony Joseph
Modified: 2019-03-26 05:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-26 05:25:19 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Edwin Anthony Joseph 2019-03-26 05:16:15 UTC
Description of problem:


for all openshift roles It fails at 

"Error: 'rhel-7-server-ose-v3.11-rpms' does not match a valid repository ID. Use \"subscription-manager repos --list\" to see valid repositories."

when we run subscription-manager repos --list we see the repo is enabled 

Repo ID:   rhel-7-server-ose-3.11-rpms
Repo Name: Red Hat OpenShift Container Platform 3.11 (RPMs)
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/7Server/$basearch/ose/3.11/os
Enabled:   0

However the /usr/share/ansible/openshift-ansible/roles/openshift_repos/tasks/rhel_repos.yml referencing the  

rhel-7-server-ose-3.11-rpms as 

"--enable=rhel-7-server-ose-v3.11-rpms" which is incorrect 

need to fix this typo please




Version-Release number of selected component (if applicable):
NAME="Red Hat Enterprise Linux Server"
VERSION="7.6 (Maipo)"
ID="rhel"
ID_LIKE="fedora"
VARIANT="Server"
VARIANT_ID="server"
VERSION_ID="7.6"
PRETTY_NAME="Red Hat Cloud Infrastructure"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:7.6:GA:server"
HOME_URL="https://www.redhat.com/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"

REDHAT_BUGZILLA_PRODUCT="Red Hat Enterprise Linux 7"
REDHAT_BUGZILLA_PRODUCT_VERSION=7.6
REDHAT_SUPPORT_PRODUCT="Red Hat Enterprise Linux"
REDHAT_SUPPORT_PRODUCT_VERSION="7.6"

OpenShift Container platform  3.11


How reproducible:

When using the Openshift-Ansible deployment 
yum install openshift-ansible  
when we run 

ansible-playbook -i vhost /usr/share/ansible/openshift-ansible/playbooks/prerequisites.yml 

Steps to Reproduce:
1.
2.
3.

Actual results:
"Error: 'rhel-7-server-ose-v3.11-rpms' does not match a valid repository ID.

Expected results:

ensure 3.11 prerequisites.yml succeed
Additional info:

Comment 1 Edwin Anthony Joseph 2019-03-26 05:25:19 UTC
Close this as finding out this value comes from the inventory 
openshift_version=" "
my inventory was incorrect set to openshift_version="V3.11.55"


Note You need to log in before you can comment on or make changes to this bug.